"""webserver URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, re_path, include
from boards import views
urlpatterns = [
    path('home/', views.home_1),
    path('home_2/', views.home_2),
    path('admin/', admin.site.urls),
    path('view/', views.view_1),
    path('view/<str:value>', views.view_2),
    re_path('view(\d+)',views.view_3),
    re_path('view(?P<parm>.+)', views.view_4),
    path('nic/', include('restful.urls')),
    path('', admin.site.urls),
]

